Module.define('vcom/history',['jquery', 'vcom/base' ],function($){
	
	var quiet = false;
	var history = [];
	
	VCOM.on('login logout',function() { history = []; });
	VCOM.history.push = function(fn) {
		if (quiet) return;
		history.push(fn);
		while (history.length > 25) history.shift();			
	};
	VCOM.history.pop = function() {
		if (history.length) {
			try {
				quiet = true;
				history.pop()();
			} finally {
				quiet = false;
			}
			return true;
		}					
	};
	VCOM.history.remove = function(fn,all) {
		for (var i=history.length-1;i>=0;i--) {
			if (fn===history[i]) {
				history.splice(i, 1);
				if (!all) return;
			}
		}			
	};
	$(document).on("backbutton",function(e){
		e.preventDefault();
		if(history.length) VCOM.history.pop();
		else navigator.app.exitApp();
	});	
	
});