Module.define('vcom/progress',['jquery','vcom/base','date'], function( $, VCOM ) {	
	var $ = window.jQuery;
	
	var defaultOptions = { drawText: true, color1: '#4C8900', color2: '#abcf95' };
		
	$.fn.drawProgress = function() {
		this.find('canvas[data-progress]').each(function() {
			$this =$(this);
			
			var icon = $('<i></i>')
		     .addClass('progress')
		     .attr('data-prg',parseInt($this.attr('data-progress')));
			
			if ($this.data('word')) icon.attr('data-word',$this.data('word'));
			
			$this.replaceWith(icon);
		});
		return this;
	};
	
	VCOM.showWordProgress = function(word) {
		var $details = $('<div></div>');
		var modal=VCOM.showModal($details,{hidden:true});
		
		modal.addClass('progressdetails');
		$details.addClass('loading').smartLoad(VCOM.server+'/history.ui',{word:word},function(){
			$details.drawProgress();
			$details.removeClass('loading');				
		});
		modal.show();
		$details.on('click','button.startlearning',function(){ modal.hide(); VCOM.startLearning(this)})
		.on('click','button.stoplearning',function(){ modal.hide(); VCOM.stopLearning(this)})
		.on('click','a[listid]',function(){
			modal.hide();
			VCOM.showList(this.getAttribute('listid'));
		}).on('click','canvas',function(){
			modal.hide();
		});
	}
});